services:
    mopa_bootstrap.example.navbar:
        class: %mopa_bootstrap.navbar.generic%
        arguments:
            # first argument: a named array of menues:
            - { leftmenu: @mopa_bootstrap.examplemenu=, rightmenu: @mopa_bootstrap.exampledropdown= }
            # second argument: a named array of FormType Classes
            - { searchform: Mopa\Bundle\BootstrapSandboxBundle\Form\Type\ExampleSearchFormType }
            # third argument: a named array of options
            - { title: "MopaBootstrapSandboxBundle", titleRoute: "mopa_bootstrap_welcome", fixedTop: true, isFluid: false }
        tags:
            # The alias is used to retrieve the navbar in templates
            - { name: mopa_bootstrap.navbar, alias: sandboxFrontendNavbar }

    mopa_bootstrap.example.navbarssubnavbar:
        class: %mopa_bootstrap.navbar.generic%
        arguments:
            # first argument: a named array of menues:
            - { menu: @mopa_bootstrap.examplenavbarsubnavmenu= }
            - {}
            # third argument: a named array of options
            - { fixedTop: true, isFluid: true, template: MopaBootstrapBundle:Navbar:subnavbar.html.twig }
        tags:
            # The alias is used to retrieve the navbar in templates
            - { name: mopa_bootstrap.navbar, alias: sandboxNavbarsSubNavbar }
            
    mopa_bootstrap.example.componentssubnavbar:
        class: %mopa_bootstrap.navbar.generic%
        arguments:
            # first argument: a named array of menues:
            - { menu: @mopa_bootstrap.examplecomponentssubnavmenu= }
            - {}
            # third argument: a named array of options
            - { fixedTop: true, isFluid: true, template: MopaBootstrapBundle:Navbar:subnavbar.html.twig }
        tags:
            # The alias is used to retrieve the navbar in templates
            - { name: mopa_bootstrap.navbar, alias: sandboxComponentsSubNavbar }
            